Delete metadata property
Removes the property definition and any of its options. Fails with 409 property_in_use if records still reference the property.
/v2/prism/{teamId}/{objectType}/properties/{propertyId}Removes the property definition and any of its options. Fails with 409 property_in_use if records still reference the property.
Authorization
apiKey Public API key generated from Micro settings. Sent as the x-api-key header and validated by AWS API Gateway in front of the service.
In: header
Path Parameters
uuidObject types that support CRUD, query, list, and per-type property metadata. GET /v2/prism/{teamId}/properties (list-all) also returns definitions for pipeline-owned types that are not in this set — including message, thread, and linkedin_thread. Those types are not queryable. Contacts expose last_email as a ref_message; you cannot query message to follow it.
Value in
- "comment"
- "deal"
- "engagement"
- "identity"
- "ai_chat_thread"
- "ai_chat_message"
- "agent_site"
- "document"
- "action"
- "event"
- "organization"
- "contact"
uuidQuery Parameters
Storage type of this property definition.
Value in
- "num"
- "str"
- "bool"
- "date"
- "text"
- "byte"
- "select_str"
- "multi_str"
- "multiselect_str"
- "jsonb"
- "ref_identity"
- "ref_user"
- "ref_organization"
- "ref_contact"
- "ref_thread"
- "ref_message"
- "ref_event"
- "ref_account"
- "ref_ai_chat_thread"
- "ref_ai_chat_message"
- "multiref_ai_chat_message"
- "multiref_agent_site"
- "multiref_action"
- "multiref_comment"
- "multiref_contact"
- "multiref_label"
- "multiref_thread"
- "multiref_messages"
- "multiref_document"
- "multiref_identity"
- "multiref_organization"
- "multiref_engagement"
- "multiref_attendee"
- "multiref_meeting_entry"
- "multiref_read_receipt"
- "multiref_account"
- "multiref_source"
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
curl -X DELETE "https://developers.micro.so/v2/prism/${MICRO_TEAM_ID}/comment/properties/${PROPERTY_ID}?type=num" \ -H "x-api-key: $MICRO_API_KEY"